List Global Connections
/connections
Returns global connections list, including details such as name, description, and type.
Request
-
connType:
Type of connections to return, if provided
-
limit:
Maximum number of connections to return. Default is 50.
-
offset:
Number of connections to omit from the start of the result set.
-
repoConn:
Used in conjunction with connType param. If set to true, returns repository-based Autonomous Data Warehouse connections. Default is false
-
walletConn:
Used in conjunction with connType param. If set to true, returns wallet-based Autonomous Data Warehouse connections. Default is false
Response
200 Response
OK
List of connections returned successfully.
400 Response
Bad Request
Failed to list connections.
Examples
The following example shows how to get a list of global connections defined on the Essbase server.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/connections?links=none" -H Accept:application/json -u %User%:%Password%Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"items" : [ {
"name" : "Essbase",
"description" : "Essbase 2 connection",
"type" : "ESSBASE",
"subtype" : "ESSBASE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "fileConn",
"description" : "CSV file connection",
"type" : "FILE",
"subtype" : "FILE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "oraConn",
"description" : "Oracle Database connection",
"type" : "DB",
"subtype" : "ORACLE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "DB2Conn",
"description" : "IBM DB2 connection",
"type" : "DB",
"subtype" : "DB2",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "MSSQLConn",
"description" : "Microsoft SQL connection",
"type" : "DB",
"subtype" : "MS_SQL",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "MySQLConn",
"description" : "MySQL connection",
"type" : "DB",
"subtype" : "MYSQL",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "SparkConn",
"description" : "Spark connection",
"type" : "DB",
"subtype" : "SPARK",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "oracle_jdbc",
"description" : "Oracle JDBC driver connection",
"type" : "DB",
"subtype" : "JDBC",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "tera_jdbc",
"description" : "Teradata JDBC driver connection",
"type" : "DB",
"subtype" : "JDBC",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}, {
"name" : "mssql_jdbc",
"description" : "Microsoft SQL JDBC driver connection",
"type" : "DB",
"subtype" : "JDBC",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
} ],
"offset" : 0,
"limit" : 50,
"count" : 10,
"totalResults" : 10,
"hasMore" : false
}